OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESControl

# IGESControl_ToolContainer Class Reference

`#include <IGESControl_ToolContainer.hxx>`

Inheritance diagram for IGESControl_ToolContainer:

[legend]

## Public Member Functions
Standard_EXPORT | IGESControl_ToolContainer ()
| Empty constructor .
virtual Standard_EXPORT Handle_IGESToBRep_IGESBoundary | IGESBoundary () const
| Returns IGESControl_IGESBoundary .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESControl_ToolContainer::IGESControl_ToolContainer | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESControl_ToolContainer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESToBRep_ToolContainer.

virtual Standard_EXPORT Handle_IGESToBRep_IGESBoundary IGESControl_ToolContainer::IGESBoundary | ( |  | ) | const`[virtual]`

| Reimplemented from IGESToBRep_ToolContainer.

The documentation for this class was generated from the following file:

- IGESControl_ToolContainer.hxx